跳转到主要内容
GET
/
v1
/
playbooks
/
{playbook_id}
获取操作手册
curl --request GET \
  --url https://api.devin.ai/v1/playbooks/{playbook_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v1/playbooks/{playbook_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v1/playbooks/{playbook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "access_type": "<string>",
  "body": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>",
  "created_by_user_name": "<string>",
  "org_id": "<string>",
  "playbook_id": "<string>",
  "status": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by_user_id": "<string>",
  "updated_by_user_name": "<string>",
  "macro": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
通过其 ID 获取指定 Playbook 的详细信息。

授权

Authorization
string
header
必填

个人 API Key(apk_user_*)或服务 API Key(apk_*)

路径参数

playbook_id
string
必填

响应

成功的响应

access_type
string
必填
body
string
必填
created_at
string<date-time> | null
必填
created_by_user_id
string | null
必填
created_by_user_name
string | null
必填
org_id
string
必填
playbook_id
string
必填
status
string
必填
title
string
必填
updated_at
string<date-time> | null
必填
updated_by_user_id
string | null
必填
updated_by_user_name
string | null
必填
macro
string | null